OfxMainContainer Class Reference

The root container. Created by the <OFX> OFX element or by the export functions. More...

Inheritance diagram for OfxMainContainer:

## Public Member Functions

| OfxMainContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
int | add_container (OfxGenericContainer *container)
int | add_container (OfxStatementContainer *container)
int | add_container (OfxAccountContainer *container)
int | add_container (OfxTransactionContainer *container)
int | add_container (OfxSecurityContainer *container)
int | gen_event ()
| Generate libofx.h events.
OfxSecurityData * | find_security (string unique_id)
| OfxMainContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
int | add_container (OfxGenericContainer *container)
int | add_container (OfxStatementContainer *container)
int | add_container (OfxAccountContainer *container)
int | add_container (OfxTransactionContainer *container)
int | add_container (OfxSecurityContainer *container)
int | gen_event ()
| Generate libofx.h events.
OfxSecurityData * | find_security (string unique_id)
| OfxMainContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
int | add_container (OfxGenericContainer *container)
int | add_container (OfxStatementContainer *container)
int | add_container (OfxAccountContainer *container)
int | add_container (OfxTransactionContainer *container)
int | add_container (OfxSecurityContainer *container)
int | gen_event ()
| Generate libofx.h events.
OfxSecurityData * | find_security (string unique_id)

## Detailed Description

The root container. Created by the <OFX> OFX element or by the export functions.

The OfxMainContainer maintains trees of processed ofx data structures which can be used to generate events in the right order, and eventually export in OFX and QIF formats and even generate matching OFX querys.

Definition at line 247 of file lib/ofx_containers.hh.

## Member Function Documentation

int OfxMainContainer::gen_event | ( |  | ) | `[virtual]`

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns:
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

int OfxMainContainer::gen_event | ( |  | ) | `[virtual]`

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns:
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

int OfxMainContainer::gen_event | ( |  | ) | `[virtual]`

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns:
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 154 of file lib/ofx_container_main.cpp.

Referenced by OFXApplication::endElement(), and OFCApplication::endElement().

The documentation for this class was generated from the following files:

- lib/ofx_containers.hh
- libofx-0.9.5/lib/ofx_containers.hh
- tar-pax-libofx/lib/ofx_containers.hh
- lib/ofx_container_main.cpp
- libofx-0.9.5/lib/ofx_container_main.cpp
- tar-pax-libofx/lib/ofx_container_main.cpp